UpdateZnsEndpoint
Update the saved ZNS endpoint configuration for a platform connection and return the refreshed connection record.
PUT
/api/v1/platforms/{uuid}/endpointOperation ID
UpdateZnsEndpointSince
1.2.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredUUID of the target resource
Body Fields
endpointModeStringEndpoint mode for this resource
Example: value
endpointObjectEndpoint for this resource
hostStringZNS API host or IP address
Example: 172.31.6.104
portIntegerZNS API port
Example: 7278
bootstrapNodesListBootstrap nodes for this resource
Example: (nested array)
hostStringZNS API host or IP address
Example: 172.31.6.104
portIntegerZNS API port
Example: 7278
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedResponse fields deleteRetryable, deletionFailureReason, deletionPhaseView API
